import { Query } from '../query';
import { Aggregation } from '../aggregation';
import { CacheStore } from './cachestore';
export declare class AutoStore extends CacheStore {
    constructor(collectionName: string, options?: any);
    find(query?: Query, options?: any): Promise<any>;
    count(query?: Query, options?: any): Promise<any>;
    group(aggregation: Aggregation, options?: any): Promise<any>;
    findById(id: string, options?: any): Promise<any>;
}
