import { CreateMFAAuthenticatorResult, MFAAuthenticator, NewMFAAuthenticator, VerifyContext } from '../user/createMFAAuthenticator';
declare const Authenticators: {
    create: (newAuthenticator: NewMFAAuthenticator, verify: (authenticator: MFAAuthenticator, context: VerifyContext) => Promise<string>) => Promise<CreateMFAAuthenticatorResult>;
    list: () => Promise<MFAAuthenticator[]>;
    remove: (id: string) => Promise<any>;
};
declare function listRecoveryCodes(): Promise<string[]>;
declare function regenerateRecoveryCodes(): Promise<string[]>;
declare function isEnabled(): Promise<boolean>;
declare function disable(): Promise<any>;
export { Authenticators, listRecoveryCodes, regenerateRecoveryCodes, isEnabled, disable, CreateMFAAuthenticatorResult, MFAAuthenticator, NewMFAAuthenticator };
