import { User } from './user';
export interface LoginOptions {
    timeout?: number;
}
export declare function validateNoActiveUser(): Promise<void>;
export interface LoginRequestBody {
    username?: string;
    password?: string;
    recoveryCode?: string;
    deviceToken?: string;
    _socialIdentity?: any;
}
export declare function executeLoginRequest(reqBody: LoginRequestBody, timeout?: number): Promise<any>;
export declare function validateCredentials(username: string, password: string): any;
export declare function login(username: string, password: string, options?: LoginOptions): Promise<User>;
