import { User } from './user';
import { LoginOptions } from './login';
export interface MFAContext {
    mfaSessionToken: string;
    retries: number;
    authenticator?: any;
    error?: any;
}
export interface MFACompleteResult {
    code: string;
    trustDevice?: boolean;
}
export declare function loginWithMFA(username: string, password: string, selectAuthenticator: (authenticators: object[], context: MFAContext) => Promise<string>, mfaComplete: (authenticator: string, context: MFAContext) => Promise<MFACompleteResult>, options?: LoginOptions): Promise<User>;
